summaryrefslogtreecommitdiffstats
path: root/development
diff options
context:
space:
mode:
Diffstat (limited to 'development')
-rw-r--r--development/phantomjs/phantomjs.SlackBuild7
-rw-r--r--development/phantomjs/phantomjs.info6
2 files changed, 8 insertions, 5 deletions
diff --git a/development/phantomjs/phantomjs.SlackBuild b/development/phantomjs/phantomjs.SlackBuild
index 882a61ab10..d5acb67424 100644
--- a/development/phantomjs/phantomjs.SlackBuild
+++ b/development/phantomjs/phantomjs.SlackBuild
@@ -2,7 +2,7 @@
# Slackware build script for phantomjs
-# Copyright 2012-2013 Heinz Wiesinger, Amsterdam, The Netherlands
+# Copyright 2012-2014 Heinz Wiesinger, Amsterdam, The Netherlands
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -23,7 +23,7 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=phantomjs
-VERSION=1.9.2
+VERSION=${VERSION:-1.9.8}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -101,6 +101,9 @@ install -m 755 bin/phantomjs $PKG/usr/bin/
chrpath -r \$ORIGIN/../lib$LIBDIRSUFFIX/phantomjs-qt $PKG/usr/bin/phantomjs
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
cp -a ChangeLog LICENSE.BSD README.md $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
diff --git a/development/phantomjs/phantomjs.info b/development/phantomjs/phantomjs.info
index f54cae32a5..35c441bad6 100644
--- a/development/phantomjs/phantomjs.info
+++ b/development/phantomjs/phantomjs.info
@@ -1,8 +1,8 @@
PRGNAM="phantomjs"
-VERSION="1.9.2"
+VERSION="1.9.8"
HOMEPAGE="http://phantomjs.org/"
-DOWNLOAD="https://phantomjs.googlecode.com/files/phantomjs-1.9.2-source.zip"
-MD5SUM="3751244215bbec2e1eae74477ffdcb4a"
+DOWNLOAD="https://bitbucket.org/ariya/phantomjs/downloads/phantomjs-1.9.8-source.zip"
+MD5SUM="f8163aef2230ebbda2d25a71a06ded7d"
DOWNLOAD_x86_64=""
MD5SUM_x86_64=""
REQUIRES="chrpath"